#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <pwd.h>

// using namespace std;
extern FILE *DB;	// DB FH
extern int  uid;	// Calling UID
extern int  euid;	// Effective UID
extern char *username;	// username

#define WANT_ZONE_CMD  "devzone_create"
#define ENTER_ZONE_CMD "devzone_enter"
#define RESET_ZONE_CMD "devzone_reset"
#define FREE_ZONE_CMD  "devzone_free"

// Config file
extern const char *devzone_db; // file path to zone/user config
#define CONFIG_LINE_LEN 100
#define CONFIG_ZONE_LEN 80
#define CONFIG_USER_LEN 12
#define CONFIG_UID_LEN  5
#define BLANK_USER      "            "
#define BLANK_UID       "     "
#define CONFIG_SEP      ':'
#define CONFIG_LINE_SEP '\n'

// exits on failure
void init();

// exits on failure
void destroy();

char *getUsername();

char *getReservedZoneName();
char *getFreeZoneName();
char *reserveZone(char *);
char *freeZone(char *);
